none
Adapter Pack WCF Bindings Not Showing Up RRS feed

  • Question

  • I came across what I believe is an interesting problem.  I have a 64-Bit BizTalk environment (BTS 2009 on Win2008 against SQL Server 2008 - all 64-bit).

    I install WCFLOBAdapterSDK-Sp2-64-Bit

    I install Adapter Pack 2.0 Evaluation - 64-bit

    When I run BTS Admin Console and create a Send Port and choose WCF-Custom adapter - the Oracle/SAP/Siebel adapter bindings don't show up.

    I look in my .Net Framework 64 Machine Config and the bindings ARE there

    I run Visual Studio 2008 and create a BizTalk Server 2009 project and try and run the "Consume Adapters Service" wizard.  It tells me "No Adapters installed" or similar.

    I am thinking that since both Visual Studio 2008 and BizTalk Administration Console are 32-bit applications - its loading and running the .Net Framework 32-bit Machine.config file not hte 64-bit one which has the bindings.


    Is this plausible?  If so, how do you get the tooling (VS and BTS Admin console) working in the above environment??

    Rod
    Monday, April 6, 2009 7:07 PM

Answers

  • Hi Rod,

    The solution to this problem is to install the 32 bit version too. This happens because VS is a 32 bit process and accesses the 32 bit machine.config as you have correctly mentioned. Refer to the help file for more details.

    Thanks,
    Manas

    • Proposed as answer by Manas G Tuesday, April 7, 2009 10:49 AM
    • Marked as answer by Andrew_ZhuModerator Tuesday, April 14, 2009 6:30 AM
    Tuesday, April 7, 2009 4:41 AM

All replies

  • Hi Rod,

    The solution to this problem is to install the 32 bit version too. This happens because VS is a 32 bit process and accesses the 32 bit machine.config as you have correctly mentioned. Refer to the help file for more details.

    Thanks,
    Manas

    • Proposed as answer by Manas G Tuesday, April 7, 2009 10:49 AM
    • Marked as answer by Andrew_ZhuModerator Tuesday, April 14, 2009 6:30 AM
    Tuesday, April 7, 2009 4:41 AM
  • Manas

    Thanks for the confirmation.

    Rod
    Tuesday, April 7, 2009 10:35 AM
  • I have the exact same problem (BTS 2009 on Win2008/SQL 2008, using "consume adapters service" wizard tells me "no adapters installed") as the original poster, but when I try to install the 32-bit WCF LOB Adapter SDK SP2 I get the following error and the installation cancels:

    "Another version of WCF LOB Adapter SDK already exists. Installation cannot continue. Remove existing WCF LOB Adapter SDK through Add/Remove Programs and try installing again!"

    Yes, the 64-bit version is installed, how do I install the 32-bit version too so I can use the adapters?


    EDIT: I realize now what was meant was the 32-bit version of the Adapter Pack, not the WCF LOB SDK. Mea Culpa and disregard this post.

    Friday, November 19, 2010 1:17 PM